LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-19-2006, 10:18 AM   #1
aparna216
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Rep: Reputation: 0
Unhappy Build errors with jdk1_5_0-src-scsl_2_1 on linux


Hi,
I have been trying to build jdk1_5_0-src-scsl on linux(red hat 9), but it doesn`t seem to be working. I will post the errors here.

linux i586 1.5.0-internal build started: 06-08-19 20:34
if [ -r ./../../deploy/make/Makefile ]; then \
( cd ./../../deploy/make; make sanity EXTERNALSANITYCONTROL=true CONTROL_TOPDIR=/root/control CONTROL_TOPDIR_NAME=control ALT_OUTPUTDIR=/root/control/build/linux-i586 ARCH_DATA_MODEL=32 MILESTONE=internal BUILD_NUMBER=user_19_aug_2006_20_34 ; ); \
fi
make[1]: Entering directory `/root/deploy/make'
make[1]: Leaving directory `/root/deploy/make'
make[1]: Entering directory `/root/j2se/make'
make[1]: Leaving directory `/root/j2se/make'
if [ -r ./../../install/make/Makefile ]; then \
( cd ./../../install/make; make sanity MAKEFLAGS= EXTERNALSANITYCONTROL=true
ALT_CONTROL_TOPDIR=/root/control ALT_J2SE_TOPDIR=/root/j2se ALT_OUTPUTDIR=/root/control/build/linux-i586 ALT_RTPATCH_DIR= ALT_BASE_IMAGE_ZIP= ALT_BASE_IMAGE_DIR= ALT_NEW_IMAGE_DIR= ALT_BUNDLE_DATE=19_aug_2006 ; ); \
fi
make[1]: Entering directory `/root/install/make'
make[1]: Leaving directory `/root/install/make'

Build Machine Information:
build machine = localhost.localdomain

Build Directory Structure:
CWD = /root/control/make
TOPDIR = ./../..
CONTROL_TOPDIR = ./../../control
HOTSPOT_TOPDIR = ./../../hotspot
J2SE_TOPDIR = ./../../j2se
MOTIF_TOPDIR = ./../../motif
DEPLOY_TOPDIR = ./../../deploy
INSTALL_TOPDIR = ./../../install

External File/Binary Locations:
PREVIOUS_JRE_BUNDLE = /java/re/j2se/1.4.2/archive/fcs/bundles/linux-i586/j2re-1_4_2-linux-i586.tar.gz
PREVIOUS_JDK_BUNDLE = /java/re/j2se/1.4.2/archive/fcs/bundles/linux-i586/j2sdk-1_4_2-linux-i586.tar.gz

Build Directives:
BUILD_HOTSPOT = true
BUILD_MOTIF = true
BUILD_INSTALL = true

Hotspot Settings:
HOTSPOT_BUILD_JOBS =

Bootstrap Settings:
JAVAWS_BOOTDIR = /root/control/build/linux-i586
BOOTSTRAP J2SDK VERSION:
OUTPUTDIR = /root/control/build/linux-i586

Build Tool Settings:
UNIXCOMMAND_PATH = /bin/
COMPILER_PATH = /usr/bin/
DEVTOOLS_PATH = /java/devtools/linux/bin/
USRBIN_PATH = /usr/bin/
GCC29_COMPILER_PATH = /usr/bin/
MOZILLA_PATH = /java/devtools
MOZILLA_HEADERS_PATH = /home/user/share/plugin/mozilla_headers_ns7/
CC_VER = 3.2.2
PATH = /usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/user/bin

Build Directives:
PEDANTIC =
INSANE =

Build Platform Settings:
PLATFORM = linux
ARCH = i586
LIBARCH = i386
ARCH_FAMILY = i586
ARCH_DATA_MODEL = 32
RH_VERSION = release 9
OS_VERSION = 2.4.20-8
FREE_SPACE = 7243172

GNU Make Settings:
MAKE = make
MAKE VERSION = 3.79.1,
MAKECMDGOALS = sanity
MAKEFLAGS = w -- BUILD_NUMBER=user_19_aug_2006_20_34 MILESTONE=internal ARCH_DATA_MODEL=32 ALT_OUTPUTDIR=/root/control/build/linux-i586 CONTROL_TOPDIR_NAME=control CONTROL_TOPDIR=/root/control EXTERNALSANITYCONTROL=true
SHELL = /bin/sh

Target Build Versions:
JAVAWS_VERSION = 1.5.0
MILESTONE = internal
BUILD_NUMBER = user_19_aug_2006_20_34

Bootstrap Settings:
BOOTDIR = /java/re/j2se/1.4.2/archive/fcs/binaries/linux-i586
BOOTSTRAP J2SDK VERSION:
OUTPUTDIR = /root/control/build/linux-i586

Build Tool Settings:
UNIXCOMMAND_PATH = /bin/
COMPILER_PATH = /usr/bin/
DEVTOOLS_PATH = /java/devtools/linux/bin/
USRBIN_PATH = /usr/bin/
MOTIF_DIR = /root/control/build/linux-i586/motif-i586
CC_VER = 3.2.2
ZIP_VER = 2.3
PATH = /usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/user/bin
TMPDIR = /root/control/build/linux-i586/tmp

Build Directives:
USE_ONLY_BOOTDIR_TOOLS =
USE_HOTSPOT_INTERPRETER_MODE =
PEDANTIC =
DEV_ONLY =
J2RE_ONLY =
NO_DOCS =
NO_IMAGES =
TOOLS_ONLY =
INSANE =
PARALLEL_COMPILES = false
PARALLEL_COMPILE_JOBS = 2
FASTDEBUG = false
INCREMENTAL_BUILD = false

Build Platform Settings:
PLATFORM = linux
ARCH = i586
LIBARCH = i386
ARCH_FAMILY = i586
ARCH_DATA_MODEL = 32
LINUX_VERSION = release 9
OS_VERSION = 2.4.20-8
ALSA_VERSION =
FREE_SPACE = 7243164

GNU Make Settings:
MAKE = make
MAKE VERSION = 3.79.1,
MAKECMDGOALS = sanity
MAKEFLAGS =
SHELL = /bin/sh

Target Build Versions:
JDK_VERSION = 1.5.0
MILESTONE = internal
BUILD_NUMBER = user_19_aug_2006_20_34

External File/Binary Locations:
HOTSPOT_SERVER_PATH = /root/control/build/linux-i586/hotspot-i586/server
HOTSPOT_CLIENT_PATH = /root/control/build/linux-i586/hotspot-i586/client
HOTSPOT_IMPORT_PATH = /root/control/build/linux-i586/hotspot-i586/import
MOTIF_DIR = /root/control/build/linux-i586/motif-i586
CACERTS_FILE = ./../src/share/lib/security/cacerts

No setting required for Unix Systems
WARNING: You are using an unsupported release of Linux.
The supported version is Red Hat Linux release Advanced Server release
2.1AS.
Your release is version release 9

WARNING: You are using an unsupported release of Linux.
The supported version is Red Hat Linux release Advanced Server release
2.1AS.
Your release is version release 9

ERROR: You do not have a valid DEVTOOLS_PATH setting.
Please check your access to
/java/devtools/linux/bin/
and/or check your value of ALT_DEVTOOLS_PATH.

ERROR: The Linux GCC compiler must be version 3.2.1-7a.
You are using the following compiler version: 3.2.2
The compiler was obtained from the following location:
/usr/bin/
Please change your compiler.

ERROR: You do not have access to valid Mozilla header files.
Please check your access to
/home/user/share/plugin/mozilla_headers_ns7//mozilla_headers_ns7/bool.h
and/or check your value of ALT_MOZILLA_PATH, ALT_MOZILLA_HEADERS_PATH,

ERROR: You do not have a valid DEVTOOLS_PATH setting.
Please check your access to
/java/devtools/linux/bin/
and/or check your value of ALT_DEVTOOLS_PATH.

ERROR: The Linux GCC compiler must be version 3.2.1-7a.
You are using the following compiler version: 3.2.2
The compiler was obtained from the following location:
/usr/bin/
Please change your compiler.

ERROR: BOOTDIR does not point to a valid Java 2 SDK
Check that you have access to
/java/re/j2se/1.4.2/archive/fcs/binaries/linux-i586/bin/java
and/or check your value of ALT_BOOTDIR.

ERROR: You seem to not have installed ALSA 0.9.1 or higher.
Please install ALSA (drivers and lib).

ERROR: You do not have access to the previous java release jre bundles.
Please check your access to
/java/re/j2se/1.4.2/archive/fcs/bundles/linux-i586/j2re-1_4_2-linux-i586.tar.gz
and/or check your value of ALT_PREVIOUS_RELEASE_PATH or ALT_PREVIOUS_JRE_FILE
This will affect you if you build the images target.

ERROR: You do not have access to the previous java release sdk bundles.
Please check your access to

and/or check your value of ALT_PREVIOUS_RELEASE_PATH or ALT_PREVIOUS_JDK_FILE.
This will affect you if you build the images target.

Exiting because of the above error(s).

make: *** [post-sanity] Error 1

Please help me!I`m a linux newbie and this work has to be done....

Aparna
 
Old 08-20-2006, 08:09 AM   #2
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Rep: Reputation: 30
Uh, so generally, what are you trying to do?

Just trying to get Java working so you can program, compile and run Java programs?

If that's the case then you should download the JDK 5.0 Update 8 from here:

http://java.sun.com/javase/downloads/index.jsp

It provides you with the JVM (needed for browsers I think), Java (the running program) and Javac (the java compiler).

It's command-line based though, which means you will not have a nice window that comes with all the compiling and run program buttons, i.e. no graphical user interface.

Which is fine, since programming involves coding (text only).

If you're going to use this command-line method of Java programming to do your programming work, then here's a quick guide on how to set it up:

http://stanton-finley.net/forums/vie...hp?p=1526#1526

You'll need to open up a terminal to use the java and javac commands.

A quick way to test if your Java is version 1.5.0.8 or JDK-1.5.0.8 is with the following command in the terminal:

[user@computer ~]$ java -version

Good luck ^_^



Chuong.

Last edited by Chuong; 08-20-2006 at 08:12 AM.
 
Old 08-21-2006, 01:13 AM   #3
aparna216
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Original Poster
Rep: Reputation: 0
Unhappy

Hi Chuong,

I`m working on the JVM source code as a part of my research work. I need to compile the source code, see if it works, before I fit in a module.
I typed the following commands before the errors popped up.

cd control/

cd make/

make scsl

Hope that clarifies things.
 
Old 08-21-2006, 11:21 PM   #4
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Rep: Reputation: 30
research work!?

OK, that's too complicated for me ^.^!

I can't help you sorry.



Chuong.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
anaconda build from src rpm fails LampMan Fedora 3 03-28-2005 02:55 AM
Mandrake 10.0 Nforce 2 src.rpm build failure iihay Mandriva 7 07-19-2004 07:08 PM
how do I compile or build a src.rpm driver? Falafel Linux - Software 1 11-19-2003 06:40 AM
How to build src.rpm on RH9 xprometeus Linux - Distributions 3 07-20-2003 08:04 AM
RedHat and src.rpm build of MySQL wdingus Linux - Software 3 04-15-2003 05:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:20 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration